namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：产线管理  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/7/18 14:05:16 
    /// 描    述 ：  
    /// </summary>
    public interface ICraftsStepsService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(CraftsStepsAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(CraftsStepsDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(CraftsStepsUpdateInput input);
        /// <summary>
        /// 批量更新
        /// </summary>
        /// <param name="inputs"></param>
        /// <returns></returns>
        Task<bool> BatchUpdate(List<CraftsStepsUpdateInput> inputs);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<CraftsStepsOutput>> List();
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<CraftsStepsOutput>> PagedList(CraftsStepsQueryPageInput input);
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<CraftsStepsOutput> Detail(string Id);
    }
}
